hwy::AlignedFreer Class Reference

`#include <aligned_allocator.h>`

## Public Member Functions

| AlignedFreer ()
| AlignedFreer (FreePtr free_ptr, void *opaque_ptr)
template<typename T >
void | operator() (T *aligned_pointer) const

## Static Public Member Functions

static void | DoNothing (void *, void *)

## Private Attributes

FreePtr | free_
void * | opaque_ptr_

## Constructor & Destructor Documentation

## AlignedFreer() [1/2]

hwy::AlignedFreer::AlignedFreer | ( |  | ) |

inline

## AlignedFreer() [2/2]

hwy::AlignedFreer::AlignedFreer | ( | FreePtr | free_ptr,
|  | void * | opaque_ptr
| ) |  |

inline

## Member Function Documentation

## DoNothing()

static void hwy::AlignedFreer::DoNothing | ( | void * | ,
|  | void * |
| ) |  |

inline static

## operator()()

template<typename T >

void hwy::AlignedFreer::operator() | ( | T * | aligned_pointer | ) | const

inline

References free_, hwy::FreeAlignedBytes(), and opaque_ptr_.

## Member Data Documentation

## free_

FreePtr hwy::AlignedFreer::free_

private

Referenced by operator()().

## opaque_ptr_

void* hwy::AlignedFreer::opaque_ptr_

private

Referenced by operator()().

The documentation for this class was generated from the following file:

- aligned_allocator.h